<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.12"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eduRayTracer: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eduRayTracer
   &#160;<span id="projectnumber">v_2017_2018_1</span>
   </div>
   <div id="projectbrief">An Educational Ray Tracing Software Package (by Pedro Santana, ISCTE-IUL)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.12 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_mat.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Mat Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_mat.html">Mat</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_mat.html#aaefe5fd9b60dd6722fde62ef17471251">data</a></td><td class="entry"><a class="el" href="class_mat.html">Mat</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_mat.html#a81e79dbc41eec4017d02700a3e2e160ba66db4bfeb8c8fb32a2f397a965be7a21">EYE</a> enum value</td><td class="entry"><a class="el" href="class_mat.html">Mat</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_mat.html#acb41436cda0e8494d41cb888458ad791">FullPose</a>(double yaw, double pitch, double roll, double dx, double dy, double dz, double scale_x, double scale_y, double scale_z)</td><td class="entry"><a class="el" href="class_mat.html">Mat</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_mat.html#a81e79dbc41eec4017d02700a3e2e160b">Init</a> enum name</td><td class="entry"><a class="el" href="class_mat.html">Mat</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_mat.html#aff86e230a7fdd2e204fc5e19dfce6b5c">invert</a>()</td><td class="entry"><a class="el" href="class_mat.html">Mat</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_mat.html#a0c3c288d54e1da52cfdc6282957518aa">LookAt</a>(Vec e, Vec a, Vec up)</td><td class="entry"><a class="el" href="class_mat.html">Mat</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_mat.html#a7205342eec3270c1aa954f35d8af27c7">Mat</a>()</td><td class="entry"><a class="el" href="class_mat.html">Mat</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_mat.html#a8ade1cac47d130a334e4e800d1111875">Mat</a>(Init t)</td><td class="entry"><a class="el" href="class_mat.html">Mat</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_mat.html#a1e30e252a1e556ac5e131edac7b08a23">Mat</a>(const Mat &amp;m)</td><td class="entry"><a class="el" href="class_mat.html">Mat</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_mat.html#a9bc6ed47532e2ce5174aac9c80a20ba4">Mat</a>(const double m[4][4])</td><td class="entry"><a class="el" href="class_mat.html">Mat</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_mat.html#a81e79dbc41eec4017d02700a3e2e160ba43a34a635de69cc32c8a2521662a713d">ONES</a> enum value</td><td class="entry"><a class="el" href="class_mat.html">Mat</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_mat.html#ac55ba72ef5aca0073b943f474a52cd00">operator*</a>(const Mat &amp;m)</td><td class="entry"><a class="el" href="class_mat.html">Mat</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_mat.html#a56c56f48688e75ebee6f2bae71b3b978">operator*</a>(const Vec &amp;v)</td><td class="entry"><a class="el" href="class_mat.html">Mat</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_mat.html#a16c420cd1147660064644876769f6c32">operator+</a>(const Mat &amp;m)</td><td class="entry"><a class="el" href="class_mat.html">Mat</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_mat.html#a2d0c8183b215b55d6d7d6de2cd099c23">operator=</a>(const Mat &amp;m)</td><td class="entry"><a class="el" href="class_mat.html">Mat</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_mat.html#ab44133772f822f6963924b1a6e94290a">print</a>()</td><td class="entry"><a class="el" href="class_mat.html">Mat</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_mat.html#ae8d389f834ae11fb758070887558be4f">RotX</a>(double _angle)</td><td class="entry"><a class="el" href="class_mat.html">Mat</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_mat.html#ad26724c51d7d57072a9a3462bf397059">RotY</a>(double _angle)</td><td class="entry"><a class="el" href="class_mat.html">Mat</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_mat.html#a34ea7b2e8ecae17538e7acd01aa58cc4">RotZ</a>(double _angle)</td><td class="entry"><a class="el" href="class_mat.html">Mat</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_mat.html#a859787d27737801fd4eb282c2a0f3b3d">Scale</a>(double _sx, double _sy, double _sz)</td><td class="entry"><a class="el" href="class_mat.html">Mat</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_mat.html#a274248708a0553b5edaabbab255afdcb">Translate</a>(double _tx, double _ty, double _tz)</td><td class="entry"><a class="el" href="class_mat.html">Mat</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_mat.html#a55e6cc33fc65042a4cff351fe59ae476">transpose</a>()</td><td class="entry"><a class="el" href="class_mat.html">Mat</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_mat.html#a81e79dbc41eec4017d02700a3e2e160baae6ef16e75f48a8dd715cc491af9dc50">ZEROS</a> enum value</td><td class="entry"><a class="el" href="class_mat.html">Mat</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Sep 15 2017 15:54:23 for eduRayTracer by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.12 </li>
  </ul>
</div>
</body>
</html>
